package keystash.gui;

import java.io.IOException;
import java.sql.SQLException;
import static keystash.KeyStashGUI.decryptDatabaseFrame;
import static keystash.KeyStashGUI.isWalletEncrypted;
import keystash.util.Db;
import keystash.util.Structure;

public class Loader {

    public static void walletStructure() {

        try {
            Structure.createWallet();
        } catch (SQLException | IOException e) {
            System.err.println("Creating wallet structure and connection failed.");
        }

        try {
            Structure.createSettings();
        } catch (Exception e) {
            System.err.println("Creating wallet structure and connection failed.");
        }

        try {
            TableContent.insertAboutComponents();
            TableContent.getTable();
        } catch (Exception e) {
            System.err.println("Wallet file looks encrypted. Enter master password.");
            isWalletEncrypted = true;
            Db.connectToSettings();
            MenuItem.encryptedEnableMenu(false);
            decryptDatabaseFrame.setVisible(true);
            decryptDatabaseFrame.setLocationRelativeTo(null);
        }

    }

}
